### Function

# GimpUi enum_radio_frame_new_with_range

#### Declaration [src]

    GtkWidget*
    gimp_enum_radio_frame_new_with_range (
      GType enum_type,
      gint minimum,
      gint maximum,
      GtkWidget* label_widget,
      GCallback callback,
      gpointer callback_data,
      GDestroyNotify callback_data_destroy,
      GtkWidget** first_button
    )

#### Description [src]

Calls `gimp_enum_radio_box_new_with_range()` and puts the resulting vertical box into a `GtkFrame`.

Available since: | 2.4

#### Parameters

`enum_type` | `GType`
| The `GType` of an enum.
`minimum` | `gint`
| The minimum enum value.
`maximum` | `gint`
| The maximum enum value.
`label_widget` | `GtkWidget`
| A widget to put into the frame that will hold the radio box.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GCallback`
| A callback to connect to the “toggled” signal of each `GtkRadioButton` that is created.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| Data to pass to the `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback_data_destroy` | `GDestroyNotify`
| Destroy function for `callback_data`.
`first_button` | `GtkWidget`

               Returns the first button in the created group.

| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkFrame` holding a group of `GtkRadioButtons`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.